Last Comment Bug 479447 - report/list with no results has JS error; should display friendly message
: report/list with no results has JS error; should display friendly message
Status: RESOLVED FIXED
:
Product: Socorro
Classification: Server Software
Component: General (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Austin King [:ozten]
: socorro
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 08:19 PST by Austin King [:ozten]
Modified: 2011-12-28 10:40 PST (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Austin King [:ozten] 2009-02-20 08:19:36 PST
Currently when listing crash reports with no results, we get a JS error from either the table sorting js or the flot package.

We shouldn't display the normal Graph/Table/Reports page when there are no results. We should just display a no data message.

Repro:
Take a url like http://crash-stats.mozilla.com/report/list?range_value=2&range_unit=weeks&version=Firefox%3A3.0.6pre&signature=NSSRWLock_LockRead_Util

Tweak parameters so that no results are returned
Comment 1 Austin King [:ozten] 2009-02-27 09:05:20 PST
Is fixed.

Note You need to log in before you can comment on or make changes to this bug.